/*
 * Created on May 27, 2012
 */

package riven.virtualthreads.test;

public class Misc {
   public static float randomBase(float base, float margin) {
      return random(base - margin, base + margin);
   }
   
   public static float random(float min, float max) {
      return min + (float) Math.random() * (max - min);
   }
   
   public static long random(long min, long max) {
      return min + (long) (Math.random() * (max - min));
   }
   
   public static int random(int min, int max) {
      return min + (int) (Math.random() * (max - min));
   }
   
   //
   
   public static float dst(Vec2 a, Vec2 b) {
      return new Vec2(a).sub(b).len();
   }
   
   public static float clamp(float f) {
      return (f < 0.0f) ? 0.0f : (f > 1.0f ? 1.0f : f);
   }
   
   public static float ratio(long cur, long min, long max) {
      return (cur - min) / (float) (max - min);
   }
   
   public static float ratio(float cur, float min, float max) {
      return (cur - min) / (max - min);
   }
   
   public static float lerp(float ratio, float min, float max) {
      return min + ratio * (max - min);
   }
}
