/*
 * Created on May 27, 2012
 */

package riven.virtualthreads.test;

import riven.virtualthreads.VirtualRunnable;
import riven.virtualthreads.VirtualThread;
import de.matthiasmann.continuations.SuspendExecution;

public class WaypointAI implements VirtualRunnable {
   public final GameItem item;
   
   public WaypointAI(GameItem item) {
      this.item = item;
   }
   
   @Override
   public void run() throws SuspendExecution {
      
      while (true) {
         if (this.item.destinations.isEmpty()) {
            // wait for next destination
            VirtualThread.sleep(100);
            continue;
         }
         
         // keep the destination in the list, to be able to render it... (!)
         if (true) {
            Vec2 dst = this.item.destinations.get(0);
            MoveAI.moveTo(this.item, dst);
            this.item.destinations.remove(0);
         }
         else {
            MoveAI.moveTo(this.item, this.item.destinations.remove(0));
         }
      }
   }
}
